﻿''' <summary>
''' Transcription of the NetworkLink tags.
''' </summary>
Public Class NetworkLink
    '   <NetworkLink>
    '	<name>0</name>
    '	<Region>
    '		<LatLonAltBox>
    '			<north>180</north>
    '			<south>0</south>
    '			<east>0</east>
    '			<west>-180</west>
    '		</LatLonAltBox>
    '		<Lod>
    '			<minLodPixels>256</minLodPixels>
    '			<maxLodPixels>-1</maxLodPixels>
    '		</Lod>
    '	</Region>
    '	<Link>
    '		<href>http://earthobservatory.nasa.gov/Feeds/GoogleEarth/ge_44717/0.kmz</href>
    '		<refreshMode>onInterval</refreshMode>
    '		<refreshInterval>3600</refreshInterval>
    '		<viewRefreshMode>onRegion</viewRefreshMode>
    '		<viewFormat/>
    '	</Link>
    '</NetworkLink>
    ''' <summary>
    ''' The relative url part
    ''' </summary>
    Private _href As String = String.Empty
    ''' <summary>
    ''' The actual url base
    ''' </summary>
    Private _hrefbase As String = String.Empty
    ''' <summary>
    ''' Initializes a new instance of the <see cref="NetworkLink" /> class.
    ''' </summary>
    ''' <param name="networkLinkNode">The network link node.</param>
    ''' <param name="kmlkmzhttpfilebase">The kmlkmzhttpfilebase.</param>
    <CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1059:MembersShouldNotExposeCertainConcreteTypes", MessageId:="System.Xml.XmlNode")> _
    Public Sub New( _
        ByVal networkLinkNode As Xml.XmlElement, _
        ByVal kmlkmzhttpfilebase As String)

        Dim urltemp As String
        urltemp = networkLinkNode.Item("Link").Item("href").InnerText.ToString

        _hrefbase = kmlkmzhttpfilebase
        If Not Left(urltemp, 4) = "http" Then
            _href = kmlkmzhttpfilebase & urltemp
        Else
            _href = urltemp
        End If
    End Sub
    ''' <summary>
    ''' Gets the relative url part.
    ''' </summary>
    ''' <value>The relative url part.</value>
    Public ReadOnly Property GetHref() As String
        Get
            Return _href
        End Get
    End Property
    ''' <summary>
    ''' Gets the actual url base.
    ''' </summary>
    ''' <value>The actual url base.</value>
    Public ReadOnly Property GetHrefBase() As String
        Get
            Return _hrefbase
        End Get
    End Property
End Class
